| OpenCV 4.3.0 Open Source Computer Vision

Namespaces | Typedefs | Functions
cv::gapi::core Namespace Reference

## Namespaces
| cpu
| fluid
| gpu
| ocl
| plaidml

## Typedefs
using | GMat2 = std::tuple< GMat, GMat >
using | GMat3 = std::tuple< GMat, GMat, GMat >
using | GMat4 = std::tuple< GMat, GMat, GMat, GMat >
using | GMatScalar = std::tuple< GMat, GScalar >

## Functions
| G_TYPED_KERNEL (GAdd,< GMat(GMat, GMat, int)>, "org.opencv.core.math.add")
| G_TYPED_KERNEL (GAddC,< GMat(GMat, GScalar, int)>, "org.opencv.core.math.addC")
| G_TYPED_KERNEL (GSub,< GMat(GMat, GMat, int)>, "org.opencv.core.math.sub")
| G_TYPED_KERNEL (GSubC,< GMat(GMat, GScalar, int)>, "org.opencv.core.math.subC")
| G_TYPED_KERNEL (GSubRC,< GMat(GScalar, GMat, int)>, "org.opencv.core.math.subRC")
| G_TYPED_KERNEL (GMul,< GMat(GMat, GMat, double, int)>, "org.opencv.core.math.mul")
| G_TYPED_KERNEL (GMulCOld,< GMat(GMat, double, int)>, "org.opencv.core.math.mulCOld")
| G_TYPED_KERNEL (GMulC,< GMat(GMat, GScalar, int)>, "org.opencv.core.math.mulC")
| G_TYPED_KERNEL (GMulS,< GMat(GMat, GScalar)>, "org.opencv.core.math.muls")
| G_TYPED_KERNEL (GDiv,< GMat(GMat, GMat, double, int)>, "org.opencv.core.math.div")
| G_TYPED_KERNEL (GDivC,< GMat(GMat, GScalar, double, int)>, "org.opencv.core.math.divC")
| G_TYPED_KERNEL (GDivRC,< GMat(GScalar, GMat, double, int)>, "org.opencv.core.math.divRC")
| G_TYPED_KERNEL (GMean,< GScalar(GMat)>, "org.opencv.core.math.mean")
| G_TYPED_KERNEL (GPhase,< GMat(GMat, GMat, bool)>, "org.opencv.core.math.phase")
| G_TYPED_KERNEL (GMask,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.mask")
| G_TYPED_KERNEL (GCmpGT,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpGT")
| G_TYPED_KERNEL (GCmpGE,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpGE")
| G_TYPED_KERNEL (GCmpLE,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpLE")
| G_TYPED_KERNEL (GCmpLT,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpLT")
| G_TYPED_KERNEL (GCmpEQ,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpEQ")
| G_TYPED_KERNEL (GCmpNE,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.compare.cmpNE")
| G_TYPED_KERNEL (GCmpGTScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpGTScalar")
| G_TYPED_KERNEL (GCmpGEScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpGEScalar")
| G_TYPED_KERNEL (GCmpLEScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpLEScalar")
| G_TYPED_KERNEL (GCmpLTScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpLTScalar")
| G_TYPED_KERNEL (GCmpEQScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpEQScalar")
| G_TYPED_KERNEL (GCmpNEScalar,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.compare.cmpNEScalar")
| G_TYPED_KERNEL (GAnd,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.bitwise_and")
| G_TYPED_KERNEL (GAndS,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.bitwise_andS")
| G_TYPED_KERNEL (GOr,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.bitwise_or")
| G_TYPED_KERNEL (GOrS,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.bitwise_orS")
| G_TYPED_KERNEL (GXor,< GMat(GMat, GMat)>, "org.opencv.core.pixelwise.bitwise_xor")
| G_TYPED_KERNEL (GXorS,< GMat(GMat, GScalar)>, "org.opencv.core.pixelwise.bitwise_xorS")
| G_TYPED_KERNEL (GNot,< GMat(GMat)>, "org.opencv.core.pixelwise.bitwise_not")
| G_TYPED_KERNEL (GSelect,< GMat(GMat, GMat, GMat)>, "org.opencv.core.pixelwise.select")
| G_TYPED_KERNEL (GMin,< GMat(GMat, GMat)>, "org.opencv.core.matrixop.min")
| G_TYPED_KERNEL (GMax,< GMat(GMat, GMat)>, "org.opencv.core.matrixop.max")
| G_TYPED_KERNEL (GAbsDiff,< GMat(GMat, GMat)>, "org.opencv.core.matrixop.absdiff")
| G_TYPED_KERNEL (GAbsDiffC,< GMat(GMat, GScalar)>, "org.opencv.core.matrixop.absdiffC")
| G_TYPED_KERNEL (GSum,< GScalar(GMat)>, "org.opencv.core.matrixop.sum")
| G_TYPED_KERNEL (GAddW,< GMat(GMat, double, GMat, double, double, int)>, "org.opencv.core.matrixop.addweighted")
| G_TYPED_KERNEL (GNormL1,< GScalar(GMat)>, "org.opencv.core.matrixop.norml1")
| G_TYPED_KERNEL (GNormL2,< GScalar(GMat)>, "org.opencv.core.matrixop.norml2")
| G_TYPED_KERNEL (GNormInf,< GScalar(GMat)>, "org.opencv.core.matrixop.norminf")
| G_TYPED_KERNEL (GThreshold,< GMat(GMat, GScalar, GScalar, int)>, "org.opencv.core.matrixop.threshold")
| G_TYPED_KERNEL (GInRange,< GMat(GMat, GScalar, GScalar)>, "org.opencv.core.matrixop.inrange")
| G_TYPED_KERNEL (GResize,< GMat(GMat, Size, double, double, int)>, "org.opencv.core.transform.resize")
| G_TYPED_KERNEL (GResizeP,< GMatP(GMatP, Size, int)>, "org.opencv.core.transform.resizeP")
| G_TYPED_KERNEL (GMerge3,< GMat(GMat, GMat, GMat)>, "org.opencv.core.transform.merge3")
| G_TYPED_KERNEL (GMerge4,< GMat(GMat, GMat, GMat, GMat)>, "org.opencv.core.transform.merge4")
| G_TYPED_KERNEL (GRemap,< GMat(GMat, Mat, Mat, int, int, Scalar)>, "org.opencv.core.transform.remap")
| G_TYPED_KERNEL (GFlip,< GMat(GMat, int)>, "org.opencv.core.transform.flip")
| G_TYPED_KERNEL (GCrop,< GMat(GMat, Rect)>, "org.opencv.core.transform.crop")
| G_TYPED_KERNEL (GCopy,< GMat(GMat)>, "org.opencv.core.transform.copy")
| G_TYPED_KERNEL (GConcatHor,< GMat(GMat, GMat)>, "org.opencv.imgproc.transform.concatHor")
| G_TYPED_KERNEL (GConcatVert,< GMat(GMat, GMat)>, "org.opencv.imgproc.transform.concatVert")
| G_TYPED_KERNEL (GLUT,< GMat(GMat, Mat)>, "org.opencv.core.transform.LUT")
| G_TYPED_KERNEL (GConvertTo,< GMat(GMat, int, double, double)>, "org.opencv.core.transform.convertTo")
| G_TYPED_KERNEL (GSqrt,< GMat(GMat)>, "org.opencv.core.math.sqrt")
| G_TYPED_KERNEL (GNormalize,< GMat(GMat, double, double, int, int)>, "org.opencv.core.normalize")
| G_TYPED_KERNEL (GWarpPerspective,< GMat(GMat, const Mat &, Size, int, int, const cv::Scalar &)>, "org.opencv.core.warpPerspective")
| G_TYPED_KERNEL (GWarpAffine,< GMat(GMat, const Mat &, Size, int, int, const cv::Scalar &)>, "org.opencv.core.warpAffine")
| G_TYPED_KERNEL_M (GPolarToCart,< GMat2(GMat, GMat, bool)>, "org.opencv.core.math.polarToCart")
| G_TYPED_KERNEL_M (GCartToPolar,< GMat2(GMat, GMat, bool)>, "org.opencv.core.math.cartToPolar")
| G_TYPED_KERNEL_M (GIntegral,< GMat2(GMat, int, int)>, "org.opencv.core.matrixop.integral")
| G_TYPED_KERNEL_M (GThresholdOT,< GMatScalar(GMat, GScalar, int)>, "org.opencv.core.matrixop.thresholdOT")
| G_TYPED_KERNEL_M (GSplit3,< GMat3(GMat)>, "org.opencv.core.transform.split3")
| G_TYPED_KERNEL_M (GSplit4,< GMat4(GMat)>,"org.opencv.core.transform.split4")

## Typedef Documentation

## ◆ GMat2

using cv::gapi::core::GMat2 = typedef std::tuple<GMat,GMat>

## ◆ GMat3

using cv::gapi::core::GMat3 = typedef std::tuple<GMat,GMat,GMat>

## ◆ GMat4

using cv::gapi::core::GMat4 = typedef std::tuple<GMat,GMat,GMat,GMat>

## ◆ GMatScalar

using cv::gapi::core::GMatScalar = typedef std::tuple<GMat, GScalar>

## Function Documentation

## ◆ G_TYPED_KERNEL() [1/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GAdd | ,
|  | < GMat(GMat, GMat, int)> | ,
|  | "org.opencv.core.math.add" |
| ) |  |

## ◆ G_TYPED_KERNEL() [2/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GAddC | ,
|  | < GMat(GMat, GScalar, int)> | ,
|  | "org.opencv.core.math.addC" |
| ) |  |

## ◆ G_TYPED_KERNEL() [3/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GSub | ,
|  | < GMat(GMat, GMat, int)> | ,
|  | "org.opencv.core.math.sub" |
| ) |  |

## ◆ G_TYPED_KERNEL() [4/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GSubC | ,
|  | < GMat(GMat, GScalar, int)> | ,
|  | "org.opencv.core.math.subC" |
| ) |  |

## ◆ G_TYPED_KERNEL() [5/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GSubRC | ,
|  | < GMat(GScalar, GMat, int)> | ,
|  | "org.opencv.core.math.subRC" |
| ) |  |

## ◆ G_TYPED_KERNEL() [6/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMul | ,
|  | < GMat(GMat, GMat, double, int)> | ,
|  | "org.opencv.core.math.mul" |
| ) |  |

## ◆ G_TYPED_KERNEL() [7/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMulCOld | ,
|  | < GMat(GMat, double, int)> | ,
|  | "org.opencv.core.math.mulCOld" |
| ) |  |

## ◆ G_TYPED_KERNEL() [8/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMulC | ,
|  | < GMat(GMat, GScalar, int)> | ,
|  | "org.opencv.core.math.mulC" |
| ) |  |

## ◆ G_TYPED_KERNEL() [9/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMulS | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.math.muls" |
| ) |  |

## ◆ G_TYPED_KERNEL() [10/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GDiv | ,
|  | < GMat(GMat, GMat, double, int)> | ,
|  | "org.opencv.core.math.div" |
| ) |  |

## ◆ G_TYPED_KERNEL() [11/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GDivC | ,
|  | < GMat(GMat, GScalar, double, int)> | ,
|  | "org.opencv.core.math.divC" |
| ) |  |

## ◆ G_TYPED_KERNEL() [12/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GDivRC | ,
|  | < GMat(GScalar, GMat, double, int)> | ,
|  | "org.opencv.core.math.divRC" |
| ) |  |

## ◆ G_TYPED_KERNEL() [13/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMean | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.math.mean" |
| ) |  |

## ◆ G_TYPED_KERNEL() [14/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GPhase | ,
|  | < GMat(GMat, GMat, bool)> | ,
|  | "org.opencv.core.math.phase" |
| ) |  |

## ◆ G_TYPED_KERNEL() [15/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMask | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.mask" |
| ) |  |

## ◆ G_TYPED_KERNEL() [16/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpGT | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpGT" |
| ) |  |

## ◆ G_TYPED_KERNEL() [17/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpGE | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpGE" |
| ) |  |

## ◆ G_TYPED_KERNEL() [18/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpLE | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpLE" |
| ) |  |

## ◆ G_TYPED_KERNEL() [19/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpLT | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpLT" |
| ) |  |

## ◆ G_TYPED_KERNEL() [20/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpEQ | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpEQ" |
| ) |  |

## ◆ G_TYPED_KERNEL() [21/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpNE | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpNE" |
| ) |  |

## ◆ G_TYPED_KERNEL() [22/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpGTScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpGTScalar" |
| ) |  |

## ◆ G_TYPED_KERNEL() [23/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpGEScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpGEScalar" |
| ) |  |

## ◆ G_TYPED_KERNEL() [24/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpLEScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpLEScalar" |
| ) |  |

## ◆ G_TYPED_KERNEL() [25/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpLTScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpLTScalar" |
| ) |  |

## ◆ G_TYPED_KERNEL() [26/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpEQScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpEQScalar" |
| ) |  |

## ◆ G_TYPED_KERNEL() [27/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCmpNEScalar | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.compare.cmpNEScalar" |
| ) |  |

## ◆ G_TYPED_KERNEL() [28/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GAnd | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.bitwise_and" |
| ) |  |

## ◆ G_TYPED_KERNEL() [29/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GAndS | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.bitwise_andS" |
| ) |  |

## ◆ G_TYPED_KERNEL() [30/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GOr | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.bitwise_or" |
| ) |  |

## ◆ G_TYPED_KERNEL() [31/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GOrS | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.bitwise_orS" |
| ) |  |

## ◆ G_TYPED_KERNEL() [32/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GXor | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.bitwise_xor" |
| ) |  |

## ◆ G_TYPED_KERNEL() [33/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GXorS | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.pixelwise.bitwise_xorS" |
| ) |  |

## ◆ G_TYPED_KERNEL() [34/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GNot | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.core.pixelwise.bitwise_not" |
| ) |  |

## ◆ G_TYPED_KERNEL() [35/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GSelect | ,
|  | < GMat(GMat, GMat, GMat)> | ,
|  | "org.opencv.core.pixelwise.select" |
| ) |  |

## ◆ G_TYPED_KERNEL() [36/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMin | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.matrixop.min" |
| ) |  |

## ◆ G_TYPED_KERNEL() [37/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMax | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.matrixop.max" |
| ) |  |

## ◆ G_TYPED_KERNEL() [38/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GAbsDiff | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.core.matrixop.absdiff" |
| ) |  |

## ◆ G_TYPED_KERNEL() [39/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GAbsDiffC | ,
|  | < GMat(GMat, GScalar)> | ,
|  | "org.opencv.core.matrixop.absdiffC" |
| ) |  |

## ◆ G_TYPED_KERNEL() [40/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GSum | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.matrixop.sum" |
| ) |  |

## ◆ G_TYPED_KERNEL() [41/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GAddW | ,
|  | < GMat(GMat, double, GMat, double, double, int)> | ,
|  | "org.opencv.core.matrixop.addweighted" |
| ) |  |

## ◆ G_TYPED_KERNEL() [42/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GNormL1 | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.matrixop.norml1" |
| ) |  |

## ◆ G_TYPED_KERNEL() [43/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GNormL2 | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.matrixop.norml2" |
| ) |  |

## ◆ G_TYPED_KERNEL() [44/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GNormInf | ,
|  | < GScalar(GMat)> | ,
|  | "org.opencv.core.matrixop.norminf" |
| ) |  |

## ◆ G_TYPED_KERNEL() [45/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GThreshold | ,
|  | < GMat(GMat, GScalar, GScalar, int)> | ,
|  | "org.opencv.core.matrixop.threshold" |
| ) |  |

## ◆ G_TYPED_KERNEL() [46/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GInRange | ,
|  | < GMat(GMat, GScalar, GScalar)> | ,
|  | "org.opencv.core.matrixop.inrange" |
| ) |  |

## ◆ G_TYPED_KERNEL() [47/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GResize | ,
|  | < GMat(GMat, Size, double, double, int)> | ,
|  | "org.opencv.core.transform.resize" |
| ) |  |

## ◆ G_TYPED_KERNEL() [48/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GResizeP | ,
|  | < GMatP(GMatP, Size, int)> | ,
|  | "org.opencv.core.transform.resizeP" |
| ) |  |

## ◆ G_TYPED_KERNEL() [49/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMerge3 | ,
|  | < GMat(GMat, GMat, GMat)> | ,
|  | "org.opencv.core.transform.merge3" |
| ) |  |

## ◆ G_TYPED_KERNEL() [50/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GMerge4 | ,
|  | < GMat(GMat, GMat, GMat, GMat)> | ,
|  | "org.opencv.core.transform.merge4" |
| ) |  |

## ◆ G_TYPED_KERNEL() [51/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GRemap | ,
|  | < GMat(GMat, Mat, Mat, int, int, Scalar)> | ,
|  | "org.opencv.core.transform.remap" |
| ) |  |

## ◆ G_TYPED_KERNEL() [52/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GFlip | ,
|  | < GMat(GMat, int)> | ,
|  | "org.opencv.core.transform.flip" |
| ) |  |

## ◆ G_TYPED_KERNEL() [53/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCrop | ,
|  | < GMat(GMat, Rect)> | ,
|  | "org.opencv.core.transform.crop" |
| ) |  |

## ◆ G_TYPED_KERNEL() [54/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GCopy | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.core.transform.copy" |
| ) |  |

## ◆ G_TYPED_KERNEL() [55/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GConcatHor | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.transform.concatHor" |
| ) |  |

## ◆ G_TYPED_KERNEL() [56/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GConcatVert | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.transform.concatVert" |
| ) |  |

## ◆ G_TYPED_KERNEL() [57/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GLUT | ,
|  | < GMat(GMat, Mat)> | ,
|  | "org.opencv.core.transform.LUT" |
| ) |  |

## ◆ G_TYPED_KERNEL() [58/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GConvertTo | ,
|  | < GMat(GMat, int, double, double)> | ,
|  | "org.opencv.core.transform.convertTo" |
| ) |  |

## ◆ G_TYPED_KERNEL() [59/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GSqrt | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.core.math.sqrt" |
| ) |  |

## ◆ G_TYPED_KERNEL() [60/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GNormalize | ,
|  | < GMat(GMat, double, double, int, int)> | ,
|  | "org.opencv.core.normalize" |
| ) |  |

## ◆ G_TYPED_KERNEL() [61/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GWarpPerspective | ,
|  | < GMat(GMat, const Mat &, Size, int, int, const cv::Scalar &)> | ,
|  | "org.opencv.core.warpPerspective" |
| ) |  |

## ◆ G_TYPED_KERNEL() [62/62]

cv::gapi::core::G_TYPED_KERNEL | ( | GWarpAffine | ,
|  | < GMat(GMat, const Mat &, Size, int, int, const cv::Scalar &)> | ,
|  | "org.opencv.core.warpAffine" |
| ) |  |

## ◆ G_TYPED_KERNEL_M() [1/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GPolarToCart | ,
|  | < GMat2(GMat, GMat, bool)> | ,
|  | "org.opencv.core.math.polarToCart" |
| ) |  |

## ◆ G_TYPED_KERNEL_M() [2/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GCartToPolar | ,
|  | < GMat2(GMat, GMat, bool)> | ,
|  | "org.opencv.core.math.cartToPolar" |
| ) |  |

## ◆ G_TYPED_KERNEL_M() [3/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GIntegral | ,
|  | < GMat2(GMat, int, int)> | ,
|  | "org.opencv.core.matrixop.integral" |
| ) |  |

## ◆ G_TYPED_KERNEL_M() [4/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GThresholdOT | ,
|  | < GMatScalar(GMat, GScalar, int)> | ,
|  | "org.opencv.core.matrixop.thresholdOT" |
| ) |  |

## ◆ G_TYPED_KERNEL_M() [5/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GSplit3 | ,
|  | < GMat3(GMat)> | ,
|  | "org.opencv.core.transform.split3" |
| ) |  |

## ◆ G_TYPED_KERNEL_M() [6/6]

cv::gapi::core::G_TYPED_KERNEL_M | ( | GSplit4 | ,
|  | < GMat4(GMat)> | ,
|  | "org.opencv.core.transform.split4" |
| ) |  |